/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents a GitLab branch data transfer object (DTO).
 * @export
 * @interface GitlabBranchDto
 */
export interface GitlabBranchDto {
    /**
     * The name of the GitLab branch.
     * @type {string}
     * @memberof GitlabBranchDto
     */
    'name': string;
    /**
     * Indicates if the branch is merged.
     * @type {boolean}
     * @memberof GitlabBranchDto
     */
    'merged': boolean;
    /**
     * Indicates if the branch is protected.
     * @type {boolean}
     * @memberof GitlabBranchDto
     */
    'protected': boolean;
    /**
     * Indicates if the branch is set as default.
     * @type {boolean}
     * @memberof GitlabBranchDto
     */
    'default': boolean;
    /**
     * Indicates if developers can push changes to the branch.
     * @type {boolean}
     * @memberof GitlabBranchDto
     */
    'developersCanPush': boolean;
    /**
     * Indicates if developers can merge changes into the branch.
     * @type {boolean}
     * @memberof GitlabBranchDto
     */
    'developersCanMerge': boolean;
    /**
     * Indicates if the user can push changes to the branch.
     * @type {boolean}
     * @memberof GitlabBranchDto
     */
    'canPush': boolean;
}

